GET /api/v202604/esaReadingNote/byInterval

Retrieves reading notes grouped by day interval, filtered by channel, meter, and/or reading date (localDate)

GetEsaReadingNotesByIntervalV202604

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
esaChannelId Integer equals
meterId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days

Order By Options

Name Description
timestamp Timestamp
esaChannelInfo ESA Channel Name

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EsaReadingNoteByIntervalResponse
Property Description Type
dateRange DateRange
DateRange properties
Property Description Type
endDate The end date for the range string (date-time)
startDate The start date for the range string (date-time)
esaReadingNotesByInterval Reading notes grouped by day interval EsaReadingNoteIntervalItem[]
EsaReadingNoteIntervalItem properties
Property Description Type
date The date of this interval group (e.g. “2026-04-01 00:00:00”) string (date-time)
esaReadingNotes The reading notes within this interval EsaReadingNoteResponse[]
EsaReadingNoteResponse properties
Property Description Type
esaChannelId The ESA channel ID integer (int32)
isSummarized Indicates whether the note is for a summarized reading boolean
note The note text string
timestamp The date and time of the reading note string (date-time)
groupIntervalMinutes The interval in minutes used to group readings integer (int32)
Example Response application/json
{  "dateRange": {    "endDate": "2026-05-14",    "startDate": "2026-05-14"
  },  "esaReadingNotesByInterval": [
    {    "date": "2026-05-14",    "esaReadingNotes": [
      {      "esaChannelId": 1,      "isSummarized": false,      "note": "string",      "timestamp": "2026-05-14"
    }
    ]
  }
  ],  "groupIntervalMinutes": 1
}